Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Lessons

Get Lesson Statistics
GET /training/lessons/statistics
https://api.relesysapp.net/api/v1.4/training/lessons/statistics
Get a list of Course Lesson Statistics for participation - including calculated values for users without any completions.
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
completionRate double Filterable Sortable optional
courseLessonId string / guid Filterable optional
courseLessonParticipationState string Filterable Sortable optional
creationDateTime datetimeoffset Filterable Sortable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
performanceScore double Filterable Sortable optional
points integer Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"courseLessonId":"4df9c8d6-2233-42be-a34a-abd92cf54f57","userId":"cdbb6ae9-7383-4a3e-9ab1-b368a97e9cda","courseLessonParticipationState":"Completed","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00","completionRate":1.0,"performanceScore":0.9,"points":2},{"courseLessonId":"df928cd7-98a7-4ed7-9fb2-cf58bbc39f71","userId":"bf91ef22-b8dc-4f62-ade4-2a3f8ba4cd4a","courseLessonParticipationState":"Not Started","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00","completionRate":0.0,"performanceScore":null,"points":0}]}
object
  count integer      
  data array[object]      
   completionRate double      
   courseLessonId string / guid      
   courseLessonParticipationState string      
   creationDateTime datetimeoffset      
   lastModifiedDateTime datetimeoffset      
   performanceScore double      
   points integer      
   userId string / guid      
  nextUrl string      
  previousUrl string